Next: wmemmove, Previous: wmemcmp, Up: Wchar strings

### 6.3 `wmemcpy`—copy wide characters in memory

Synopsis

         #include <wchar.h>
         wchar_t *wmemcpy(wchar_t *__restrict d,
             const wchar_t *__restrict s, size_t n);

Description
The `wmemcpy` function copies n wide characters from the object pointed to by s to the object pointed to be d. This function is not affected by locale and all wchar_t values are treated identically. The null wide character and wchar_t values not corresponding to valid characters are not treated specially.

If n is zero, d and s must be a valid pointers, and the function copies zero wide characters.

Returns
The `wmemcpy` function returns the value of d.

Portability
`wmemcpy` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.